Search documentation of tiger_stripe

# Stripe.Services.Issuing.CardService (tiger_stripe v0.1.1)

Copy Markdown View Source

IssuingCard

You can create physical or virtual cards that are issued to cardholders.

## Summary

### Functions

create(client, params \\ %{}, opts \\ [])

Create a card

list(client, params \\ %{}, opts \\ [])

List all cards

retrieve(client, card, params \\ %{}, opts \\ [])

Retrieve a card

update(client, card, params \\ %{}, opts \\ [])

Update a card

## Functions

# create(client, params \\ %{}, opts \\ [])

    @spec create(Stripe.Client.t(), map(), keyword()) ::
      {:ok, term()} | {:error, Stripe.Error.t()}

Create a card

Creates an Issuing `Card` object.

# list(client, params \\ %{}, opts \\ [])

    @spec list(Stripe.Client.t(), map(), keyword()) ::
      {:ok, term()} | {:error, Stripe.Error.t()}

List all cards

Returns a list of Issuing `Card` objects. The objects are sorted in descending order by creation date, with the most recently created object appearing first.

# retrieve(client, card, params \\ %{}, opts \\ [])

    @spec retrieve(Stripe.Client.t(), String.t(), map(), keyword()) ::
      {:ok, term()} | {:error, Stripe.Error.t()}

Retrieve a card

Retrieves an Issuing `Card` object.

# update(client, card, params \\ %{}, opts \\ [])

    @spec update(Stripe.Client.t(), String.t(), map(), keyword()) ::
      {:ok, term()} | {:error, Stripe.Error.t()}

Update a card

Updates the specified Issuing `Card` object by setting the values of the parameters passed. Any parameters not provided will be left unchanged.